/*
 * Copyright 2007 Kickmogu Co. Ltd. All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, 
 * either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */



/*
 * 作成日: 2007/01/23
 *
 */
package com.kickmogu.rhythm.core;

import java.util.Date;

public class BaseBean {
	public static final String insert_NO_PERSISTENT_PROPS = "registrantName";
	
	private int id;
	private int deleted;
	private Date registDate;
	private Date updateDate;
    private int registrant;
	private String registrantName;

	/**
	 * @return id を戻します。
	 */
	public int getId() {
		return id;
	}

	/**
	 * @param id id を設定。
	 */
	public void setId(int id) {
		this.id = id;
	}
	
	public boolean equals(Object tree) {
		if (! (tree instanceof BaseBean)) {
			return false;
		}
		return id == ((BaseBean) tree).id;
	}
	
	public BaseBean() {	
	}
	
	public BaseBean(int id) {
		this.id = id;
	}

	/**
	 * @return deleted を戻します。
	 */
	public int getDeleted() {
		return deleted;
	}

	/**
	 * @param deleted deleted を設定。
	 */
	public void setDeleted(int deleted) {
		this.deleted = deleted;
	}

	/**
	 * @return registDate を戻します。
	 */
	public Date getRegistDate() {
		return registDate;
	}
	/**
	 * @param registDate registDate を設定。
	 */
	public void setRegistDate(Date registDate) {
		this.registDate = registDate;
	}

	/**
	 * @return registrant を戻します。
	 */
	public int getRegistrant() {
		return registrant;
	}
	/**
	 * @param registrant registrant を設定。
	 */
	public void setRegistrant(int registrant) {
		this.registrant = registrant;
	}
	/**
	 * @return registrantName を戻します。
	 */
	public String getRegistrantName() {
		return registrantName;
	}
	/**
	 * @param registrantName registrantName を設定。
	 */
	public void setRegistrantName(String registrantName) {
		this.registrantName = registrantName;
	}

	/**
	 * @return updateDate を戻します。
	 */
	public Date getUpdateDate() {
		return updateDate;
	}

	/**
	 * @param updateDate updateDate を設定。
	 */
	public void setUpdateDate(Date updateDate) {
		this.updateDate = updateDate;
	}
}
